> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paymentsemployees



## OpenAPI

````yaml /api-reference/specs/statutory-pay.json get /payments/employees/{employeeId}
openapi: 3.0.1
info:
  title: Statutory Service
  description: Statutory Pay API for FlowPayroll
  contact:
    name: FlowPayroll
    email: support@flowpayroll.com
  version: v1
servers:
  - url: https://api.sandbox.flowpayroll.ai/v1/statutory-pay
security:
  - X-Auth-Token: []
    X-Org-Id: []
tags:
  - name: Statutory payments
    description: >-
      Create, retrieve, update, and delete statutory payments, and list them for
      an employee or organisation.
  - name: Line items & schedule
    description: >-
      Inspect and adjust payment line items, weekly amounts, and export the
      schedule.
  - name: External payments
    description: Record payments already made outside the payroll.
  - name: Attachments
    description: Upload and manage supporting documents for a statutory payment.
  - name: Alabaster & earnings
    description: >-
      Average weekly earnings and Alabaster (pay-rise) detection and
      recalculation.
  - name: Import & reconcile
    description: Import statutory payments and reconcile against a pay run.
  - name: Statutory Calculations
  - name: Statutory Rates
paths:
  /payments/employees/{employeeId}:
    get:
      tags:
        - Statutory payments
      operationId: GetEmployeeStatutoryPayments
      parameters:
        - name: employeeId
          in: path
          required: true
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
        - name: statutoryPayType
          in: query
          schema:
            type: string
        - name: pageSize
          in: query
          schema:
            type: string
        - name: paginationToken
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseBody_IEnumerable_StatutoryPayResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBody_Object'
components:
  schemas:
    ResponseBody_IEnumerable_StatutoryPayResponse:
      type: object
      properties:
        message:
          $ref: '#/components/schemas/MessageWithTokenResponse'
        content:
          $ref: >-
            #/components/schemas/ContentResponse_IEnumerable_StatutoryPayResponse
        validationIssues:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
          nullable: true
      additionalProperties: false
    ResponseBody_Object:
      type: object
      properties:
        message:
          $ref: '#/components/schemas/MessageWithTokenResponse'
        content:
          $ref: '#/components/schemas/ContentResponse_Object'
        validationIssues:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
          nullable: true
      additionalProperties: false
    MessageWithTokenResponse:
      type: object
      properties:
        text:
          type: string
        token:
          type: string
        tokenArguments:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueArgument'
          nullable: true
      additionalProperties: false
    ContentResponse_IEnumerable_StatutoryPayResponse:
      type: object
      properties:
        data:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/StatutorySickPayResponse'
              - $ref: '#/components/schemas/StatutoryMaternityPayResponse'
              - $ref: '#/components/schemas/StatutoryPaternityPayResponse'
              - $ref: '#/components/schemas/StatutoryAdoptionPayResponse'
              - $ref: '#/components/schemas/StatutoryParentalBereavementPayResponse'
              - $ref: '#/components/schemas/StatutorySharedParentalPayResponse'
              - $ref: '#/components/schemas/StatutoryNeoNatalCarePayResponse'
            discriminator:
              propertyName: statutoryPayType
              mapping:
                StatutorySickPay:
                  $ref: '#/components/schemas/StatutorySickPayResponse'
                StatutoryMaternityPay:
                  $ref: '#/components/schemas/StatutoryMaternityPayResponse'
                StatutoryPaternityPay:
                  $ref: '#/components/schemas/StatutoryPaternityPayResponse'
                StatutoryAdoptionPay:
                  $ref: '#/components/schemas/StatutoryAdoptionPayResponse'
                StatutoryParentalBereavementPay:
                  $ref: '#/components/schemas/StatutoryParentalBereavementPayResponse'
                StatutorySharedParentalPay:
                  $ref: '#/components/schemas/StatutorySharedParentalPayResponse'
                StatutoryNeoNatalCarePay:
                  $ref: '#/components/schemas/StatutoryNeoNatalCarePayResponse'
          nullable: true
        metadata:
          $ref: '#/components/schemas/ContentMetadataResponse'
      additionalProperties: false
    ValidationIssue:
      type: object
      properties:
        field:
          type: string
        reason:
          type: string
        reasonToken:
          type: string
        reasonTokenArguments:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueArgument'
          nullable: true
      additionalProperties: false
    ContentResponse_Object:
      type: object
      properties:
        data:
          nullable: true
        metadata:
          $ref: '#/components/schemas/ContentMetadataResponse'
      additionalProperties: false
    ValidationIssueArgument:
      type: object
      properties:
        name:
          type: string
        value:
          nullable: true
      additionalProperties: false
    StatutorySickPayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponse'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/StatutorySickPayDetails'
            statutoryPayType:
              enum:
                - None
                - StatutorySickPay
                - StatutoryMaternityPay
                - StatutoryPaternityPay
                - StatutoryAdoptionPay
                - StatutoryParentalBereavementPay
                - StatutorySharedParentalPay
                - StatutoryNeoNatalCarePay
              type: string
              readOnly: true
          additionalProperties: false
    StatutoryMaternityPayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponse'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/StatutoryMaternityPayDetails'
            statutoryPayType:
              enum:
                - None
                - StatutorySickPay
                - StatutoryMaternityPay
                - StatutoryPaternityPay
                - StatutoryAdoptionPay
                - StatutoryParentalBereavementPay
                - StatutorySharedParentalPay
                - StatutoryNeoNatalCarePay
              type: string
              readOnly: true
          additionalProperties: false
    StatutoryPaternityPayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponse'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/StatutoryPaternityPayDetails'
            statutoryPayType:
              enum:
                - None
                - StatutorySickPay
                - StatutoryMaternityPay
                - StatutoryPaternityPay
                - StatutoryAdoptionPay
                - StatutoryParentalBereavementPay
                - StatutorySharedParentalPay
                - StatutoryNeoNatalCarePay
              type: string
              readOnly: true
          additionalProperties: false
    StatutoryAdoptionPayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponse'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/StatutoryAdoptionPayDetails'
            statutoryPayType:
              enum:
                - None
                - StatutorySickPay
                - StatutoryMaternityPay
                - StatutoryPaternityPay
                - StatutoryAdoptionPay
                - StatutoryParentalBereavementPay
                - StatutorySharedParentalPay
                - StatutoryNeoNatalCarePay
              type: string
              readOnly: true
          additionalProperties: false
    StatutoryParentalBereavementPayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponse'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/StatutoryParentalBereavementPayDetails'
            statutoryPayType:
              enum:
                - None
                - StatutorySickPay
                - StatutoryMaternityPay
                - StatutoryPaternityPay
                - StatutoryAdoptionPay
                - StatutoryParentalBereavementPay
                - StatutorySharedParentalPay
                - StatutoryNeoNatalCarePay
              type: string
              readOnly: true
          additionalProperties: false
    StatutorySharedParentalPayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponse'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/StatutorySharedParentalPayDetails'
            statutoryPayType:
              enum:
                - None
                - StatutorySickPay
                - StatutoryMaternityPay
                - StatutoryPaternityPay
                - StatutoryAdoptionPay
                - StatutoryParentalBereavementPay
                - StatutorySharedParentalPay
                - StatutoryNeoNatalCarePay
              type: string
              readOnly: true
          additionalProperties: false
    StatutoryNeoNatalCarePayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponse'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/StatutoryNeoNatalCarePayDetails'
            statutoryPayType:
              enum:
                - None
                - StatutorySickPay
                - StatutoryMaternityPay
                - StatutoryPaternityPay
                - StatutoryAdoptionPay
                - StatutoryParentalBereavementPay
                - StatutorySharedParentalPay
                - StatutoryNeoNatalCarePay
              type: string
              readOnly: true
          additionalProperties: false
    ContentMetadataResponse:
      type: object
      properties:
        dateFormat:
          type: string
        dateTimeFormat:
          type: string
        paginationToken:
          type: string
          nullable: true
      additionalProperties: false
    StatutoryPayResponse:
      allOf:
        - $ref: '#/components/schemas/StatutoryPayResponseBase'
        - required:
            - statutoryPayType
          type: object
          properties:
            statutoryPayType:
              type: string
          additionalProperties: false
          discriminator:
            propertyName: statutoryPayType
            mapping:
              StatutoryAdoptionPayResponse:
                $ref: '#/components/schemas/StatutoryAdoptionPayResponse'
              StatutoryMaternityPayResponse:
                $ref: '#/components/schemas/StatutoryMaternityPayResponse'
              StatutoryNeoNatalCarePayResponse:
                $ref: '#/components/schemas/StatutoryNeoNatalCarePayResponse'
              StatutoryParentalBereavementPayResponse:
                $ref: '#/components/schemas/StatutoryParentalBereavementPayResponse'
              StatutoryPaternityPayResponse:
                $ref: '#/components/schemas/StatutoryPaternityPayResponse'
              StatutorySharedParentalPayResponse:
                $ref: '#/components/schemas/StatutorySharedParentalPayResponse'
              StatutorySickPayResponse:
                $ref: '#/components/schemas/StatutorySickPayResponse'
      oneOf:
        - $ref: '#/components/schemas/StatutorySickPayResponse'
        - $ref: '#/components/schemas/StatutoryMaternityPayResponse'
        - $ref: '#/components/schemas/StatutoryPaternityPayResponse'
        - $ref: '#/components/schemas/StatutoryAdoptionPayResponse'
        - $ref: '#/components/schemas/StatutoryParentalBereavementPayResponse'
        - $ref: '#/components/schemas/StatutorySharedParentalPayResponse'
        - $ref: '#/components/schemas/StatutoryNeoNatalCarePayResponse'
      discriminator:
        propertyName: statutoryPayType
        mapping:
          StatutorySickPay:
            $ref: '#/components/schemas/StatutorySickPayResponse'
          StatutoryMaternityPay:
            $ref: '#/components/schemas/StatutoryMaternityPayResponse'
          StatutoryPaternityPay:
            $ref: '#/components/schemas/StatutoryPaternityPayResponse'
          StatutoryAdoptionPay:
            $ref: '#/components/schemas/StatutoryAdoptionPayResponse'
          StatutoryParentalBereavementPay:
            $ref: '#/components/schemas/StatutoryParentalBereavementPayResponse'
          StatutorySharedParentalPay:
            $ref: '#/components/schemas/StatutorySharedParentalPayResponse'
          StatutoryNeoNatalCarePay:
            $ref: '#/components/schemas/StatutoryNeoNatalCarePayResponse'
    StatutorySickPayDetails:
      type: object
      properties:
        isReceivingStatutoryMaternityPay:
          type: boolean
        previousSicknessPeriods:
          type: array
          items:
            $ref: '#/components/schemas/SicknessPeriodDto'
          nullable: true
        workingDays:
          $ref: '#/components/schemas/WorkingDaysConfigurationDto'
      additionalProperties: false
    StatutoryMaternityPayDetails:
      type: object
      properties:
        qualifyingEventDate:
          type: string
          nullable: true
      additionalProperties: false
    StatutoryPaternityPayDetails:
      type: object
      properties:
        qualifyingEventDate:
          type: string
          nullable: true
      additionalProperties: false
    StatutoryAdoptionPayDetails:
      type: object
      properties:
        qualifyingEventDate:
          type: string
          nullable: true
      additionalProperties: false
    StatutoryParentalBereavementPayDetails:
      type: object
      properties:
        qualifyingEventDate:
          type: string
          nullable: true
      additionalProperties: false
    StatutorySharedParentalPayDetails:
      type: object
      properties:
        isPrimaryParent:
          type: boolean
        previousPrimaryPayWeeks:
          type: integer
          format: int32
          nullable: true
        otherParentShppWeeks:
          type: integer
          format: int32
          nullable: true
        qualifyingEventDate:
          type: string
          nullable: true
      additionalProperties: false
    StatutoryNeoNatalCarePayDetails:
      type: object
      properties:
        qualifyingEventDate:
          type: string
          nullable: true
        neonatalCareStartDate:
          type: string
          nullable: true
        neonatalCareEndDate:
          type: string
          nullable: true
      additionalProperties: false
    StatutoryPayResponseBase:
      required:
        - statutoryPayType
      type: object
      properties:
        statutoryPayType:
          enum:
            - None
            - StatutorySickPay
            - StatutoryMaternityPay
            - StatutoryPaternityPay
            - StatutoryAdoptionPay
            - StatutoryParentalBereavementPay
            - StatutorySharedParentalPay
            - StatutoryNeoNatalCarePay
          type: string
          readOnly: true
        organisationId:
          type: string
        statutoryId:
          type: string
        employeeId:
          type: string
        startDate:
          type: string
        requestedStartDate:
          type: string
        endDate:
          type: string
          nullable: true
        maxEndDate:
          type: string
          nullable: true
        totalAmount:
          type: number
          format: double
        nonRoundedTotalAmount:
          type: number
          format: double
        breakdownItems:
          type: array
          items:
            $ref: '#/components/schemas/StatutoryPayBreakdownItemResponse'
        createdBy:
          type: string
        createdDate:
          type: string
        updatedBy:
          type: string
          nullable: true
        updatedDate:
          type: string
          nullable: true
        averageEarnings:
          type: number
          format: double
        averageEarningsOverride:
          type: number
          format: double
          nullable: true
        relevantPeriodEarnings:
          type: array
          items:
            $ref: '#/components/schemas/RelevantPeriodEarningResponse'
          nullable: true
        dailyBreakdown:
          type: array
          items:
            $ref: '#/components/schemas/StatutoryDailyBreakdown'
          nullable: true
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/StatutoryPayLineItemResponse'
          nullable: true
        status:
          enum:
            - Pending
            - InProgress
            - Paid
          type: string
        paidWeeksCount:
          type: integer
          format: int32
        importDetails:
          $ref: '#/components/schemas/ImportDetailsResponse'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/StatutoryWarningDto'
      additionalProperties: false
      discriminator:
        propertyName: statutoryPayType
        mapping:
          StatutorySickPay:
            $ref: '#/components/schemas/StatutorySickPayResponse'
          StatutoryMaternityPay:
            $ref: '#/components/schemas/StatutoryMaternityPayResponse'
          StatutoryPaternityPay:
            $ref: '#/components/schemas/StatutoryPaternityPayResponse'
          StatutoryAdoptionPay:
            $ref: '#/components/schemas/StatutoryAdoptionPayResponse'
          StatutoryParentalBereavementPay:
            $ref: '#/components/schemas/StatutoryParentalBereavementPayResponse'
          StatutorySharedParentalPay:
            $ref: '#/components/schemas/StatutorySharedParentalPayResponse'
          StatutoryNeoNatalCarePay:
            $ref: '#/components/schemas/StatutoryNeoNatalCarePayResponse'
    SicknessPeriodDto:
      type: object
      properties:
        startDate:
          type: string
        endDate:
          type: string
        wereFirstThreeDaysPaid:
          type: boolean
      additionalProperties: false
    WorkingDaysConfigurationDto:
      type: object
      properties:
        standardWorkingDays:
          $ref: '#/components/schemas/StandardWorkingDaysDto'
        shiftPattern:
          $ref: '#/components/schemas/ShiftPatternDto'
        workingPattern:
          type: string
          nullable: true
        explicitSchedule:
          $ref: '#/components/schemas/ExplicitScheduleDto'
      additionalProperties: false
    StatutoryPayBreakdownItemResponse:
      type: object
      properties:
        year:
          type: integer
          format: int32
        period:
          type: integer
          format: int32
        frequency:
          type: string
        week:
          type: integer
          format: int32
        value:
          type: number
          format: double
        nonRoundedValue:
          type: number
          format: double
        isManuallyAdjusted:
          type: boolean
      additionalProperties: false
    RelevantPeriodEarningResponse:
      type: object
      properties:
        payDate:
          type: string
        amount:
          type: number
          format: double
        description:
          type: string
          nullable: true
      additionalProperties: false
    StatutoryDailyBreakdown:
      type: object
      properties:
        date:
          type: string
        status:
          enum:
            - NonQualifyingDay
            - WaitingDay
            - PaidDay
            - LimitReached
            - NonWorkingDay
          type: string
        amount:
          type: number
          format: double
          nullable: true
        description:
          type: string
          nullable: true
        isLinked:
          type: boolean
      additionalProperties: false
    StatutoryPayLineItemResponse:
      type: object
      properties:
        id:
          type: string
        statutoryPayId:
          type: string
        statutoryPayType:
          type: string
        lineItemSequence:
          type: integer
          format: int32
        activityDate:
          type: string
        payPeriodStart:
          type: string
        payPeriodEnd:
          type: string
        aggregatedAmount:
          type: number
          format: double
        nonRoundedAggregatedAmount:
          type: number
          format: double
        paidAmount:
          type: number
          format: double
        status:
          type: string
        weekItemIds:
          type: array
          items:
            type: string
        createdDate:
          type: string
        createdBy:
          type: string
        updatedDate:
          type: string
          nullable: true
        updatedBy:
          type: string
          nullable: true
        source:
          enum:
            - PayrollRun
            - ImportedFromPreviousProvider
            - ExternalDirectPayment
          type: string
        isManuallyAdjusted:
          type: boolean
        adjustmentReason:
          type: string
          nullable: true
        netAmount:
          type: number
          format: double
          nullable: true
        paymentDate:
          type: string
          nullable: true
        externalReference:
          type: string
          nullable: true
      additionalProperties: false
    ImportDetailsResponse:
      type: object
      properties:
        source:
          enum:
            - WizardCreate
            - WizardImport
            - ApiCreate
            - ApiImport
            - CsvImport
          type: string
        paidUntilDate:
          type: string
          nullable: true
        paidWeeks:
          type: number
          format: double
          nullable: true
        higherRateWeeks:
          type: integer
          format: int32
          nullable: true
        higherRateAmount:
          type: number
          format: double
          nullable: true
        standardRateWeeks:
          type: integer
          format: int32
          nullable: true
        standardRateAmount:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    StatutoryWarningDto:
      type: object
      properties:
        code:
          enum:
            - BackdatedWeeksAccruedToNextOpenRun
          type: string
        message:
          type: string
        details:
          $ref: '#/components/schemas/StatutoryWarningDetailsDto'
      additionalProperties: false
    StandardWorkingDaysDto:
      type: object
      properties:
        monday:
          type: boolean
        tuesday:
          type: boolean
        wednesday:
          type: boolean
        thursday:
          type: boolean
        friday:
          type: boolean
        saturday:
          type: boolean
        sunday:
          type: boolean
      additionalProperties: false
    ShiftPatternDto:
      type: object
      properties:
        rotationStartDate:
          type: string
        shifts:
          type: array
          items:
            $ref: '#/components/schemas/ShiftDto'
        patternType:
          type: string
        patternWeeks:
          type: integer
          format: int32
      additionalProperties: false
    ExplicitScheduleDto:
      type: object
      properties:
        weeks:
          type: array
          items:
            $ref: '#/components/schemas/ScheduledWeekDto'
      additionalProperties: false
    StatutoryWarningDetailsDto:
      type: object
      properties:
        accruedWeeks:
          type: integer
          format: int32
          nullable: true
        accruedAmount:
          type: number
          format: double
          nullable: true
        accrualPaymentDate:
          type: string
          nullable: true
        closedPeriods:
          type: array
          items:
            $ref: '#/components/schemas/ClosedPeriodSummaryDto'
          nullable: true
      additionalProperties: false
    ShiftDto:
      type: object
      properties:
        name:
          type: string
        workingDays:
          $ref: '#/components/schemas/StandardWorkingDaysDto'
        durationInDays:
          type: integer
          format: int32
        weekNumber:
          type: integer
          format: int32
      additionalProperties: false
    ScheduledWeekDto:
      type: object
      properties:
        weekCommencing:
          type: string
        workingDays:
          $ref: '#/components/schemas/StandardWorkingDaysDto'
      additionalProperties: false
    ClosedPeriodSummaryDto:
      type: object
      properties:
        year:
          type: integer
          format: int32
        period:
          type: integer
          format: int32
        payPeriodStartDate:
          type: string
        payPeriodEndDate:
          type: string
        paymentDate:
          type: string
      additionalProperties: false
  securitySchemes:
    X-Auth-Token:
      type: apiKey
      description: Authentication token for API access
      name: X-Auth-Token
      in: header
    X-Org-Id:
      type: apiKey
      description: >-
        Organisation to scope the request to. Required when the principal can
        access more than one organisation; optional for single-organisation
        principals (the authorizer resolves it automatically).
      name: X-Org-Id
      in: header

````